vpTranslate(3)

NAME
vpTranslate - multiply the current transformation matrix by a translation matrix

SYNOPSIS
#include <volpack.h>

vpTranslate(vpc, tx, ty, tz) vpContext *vpc; double *tx, *ty, *tz;

ARGUMENTS

vpc VolPack context from vpCreateContext.

tx  X component of translation vector.

ty  Y component of translation vector.

tz  Z component of translation vector.

DESCRIPTION
vpTranslate is used to multiply the current transformation matrix by a 4-by-4 translation matrix. The translation matrix is:
    1    0    0    tx
    0    1    0    ty
    0    0    1    tz
    0    0    0    1

Use vpCurrentMatrix to set the current transformation matrix. By default, the transformation matrix is post-multiplied (M = M*T where M is the current matrix and T is the translation matrix). The VP_CONCAT_MODE option to vpSeti can be used to select pre-multiplication.

STATE VARIABLES
The current matrix concatenation parameters can be retrieved with the following state variable codes (see vpGeti(3)): VP_CURRENT_MATRIX, VP_CONCAT_MODE.

ERRORS
The return value is always VP_OK.

SEE ALSO
VolPack(3), vpCreateContext(3), vpCurrentMatrix(3)